WebParse

Conversion Task Status

0calls
Free

Submitted a webpage to Markdown task and want to know progress and results? Use this endpoint to query.

GET
uapis.cn
/api/v1/web/tomarkdown/async/{task_id}
Path parameters
1
task_id
string
required

Task ID (returned by submission endpoint)

Overview

Query conversion task's current status, processing progress and final results via task ID. Task results cached for 30 minutes, can be queried repeatedly during this period.

Task Status

StatusDescription
pendingWaiting for processing
processingProcessing
completedCompleted, results available
failedFailed
timeoutTimeout (exceeded 60 seconds)
Note

Recommended to poll every 2-5 seconds, stop polling when status iscompleted, failed or timeout.

Path parameters

task_id
stringrequired

Task ID (returned by submission endpoint)

Response

200 / OK

Successfully retrieved task status (includes responses for various states)

Format 1Task Pending
JSON
{
  "task_id": "a1b2c3d4-e5f6-47a8-b9c0-d1e2f3a4b5c6",
  "status": "pending",
  "url": "https://example.com",
  "progress": 0,
  "created_at": "2025-10-13T10:30:45.123456Z",
  "message": "Task waiting for processing"
}
Format 2Task Processing
JSON
{
  "task_id": "a1b2c3d4-e5f6-47a8-b9c0-d1e2f3a4b5c6",
  "status": "processing",
  "url": "https://example.com",
  "progress": 50,
  "created_at": "2025-10-13T10:30:45.123456Z",
  "started_at": "2025-10-13T10:30:46.000000Z",
  "elapsed": 2.5,
  "message": "Task processing, please continue polling"
}
Format 3Task Completed
JSON
{
  "task_id": "a1b2c3d4-e5f6-47a8-b9c0-d1e2f3a4b5c6",
  "status": "completed",
  "url": "https://example.com",
  "progress": 100,
  "created_at": "2025-10-13T10:30:45.123456Z",
  "started_at": "2025-10-13T10:30:46.000000Z",
  "completed_at": "2025-10-13T10:30:48.500000Z",
  "duration": 2.5,
  "result": {
    "markdown": "---\ntitle: \"Example Page\"\nauthor: \"Author Name\"\n---\n\n# Example Page\n\nThis is the converted Markdown content...",
    "size": 1234
  }
}
Format 4Task Failed
JSON
{
  "task_id": "a1b2c3d4-e5f6-47a8-b9c0-d1e2f3a4b5c6",
  "status": "failed",
  "url": "https://example.com",
  "progress": 100,
  "created_at": "2025-10-13T10:30:45.123456Z",
  "started_at": "2025-10-13T10:30:46.000000Z",
  "completed_at": "2025-10-13T10:30:48.000000Z",
  "duration": 2,
  "error": "Network connection failed: connection timeout"
}

404 / Not Found

Task not found or expired

JSON
{
  "error": "Task not found",
  "message": "Specified task_id not found, task may have expired (30 minute TTL)",
  "code": 404
}